/*
 Theme Name:   Dessy Theme
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      1.0
*/

/* Header */
.inside-header { justify-content: space-between;}
.very_top .wp-block-social-link a { font-size:16px;}

/* Page */
.page .site-main,
.search .site-main { margin-top:35px; margin-bottom:55px;}
.search-results h1.page-title { text-align:center; font-size:22px;}
.search-results h1.page-title span { color:var(--post-link); border-bottom:2px solid var(--post-link);}

/* Navigations */
.dropdown-menu-toggle .gp-icon { display: unset;}

	/* Desktop Sub */
	.main-navigation ul ul {
		box-shadow: 0px 0px 15px 7px rgba(0,0,0,0.045);
		padding-top:10px;
		padding-bottom:10px;
	}
	.main-navigation ul ul li {
		border-bottom:1px solid #f1f1f1;
	}
	.main-navigation ul ul li:last-child { border-bottom:none;}
	.main-navigation ul ul:before {
		content: " ";
		position: absolute;
		border-left: 10px solid transparent;
		border-right: 10px solid transparent;
		border-bottom: 9px solid #fff;
		width: 0;
		top: -7px;
		height: 0;
		left: 18%;
	}

	/* Off Canvas Sub */
	#generate-slideout-menu.main-navigation .main-nav ul ul {
		padding: 10px 0;
		background: none;
	}
	#generate-slideout-menu.main-navigation .main-nav ul ul li {
		border-bottom:none;
	}
	#generate-slideout-menu.main-navigation .main-nav ul ul li a {
		border:none;
		background:none;
		padding-top: 7px;
		padding-bottom: 7px;
	}
	#generate-slideout-menu.main-navigation ul ul:before {
		display:none;
	}

/* Widget */
.wp-block-social-links { margin:0;}

/* Search Modal */
.search-modal-form {
    background: transparent!important;
}
.gp-modal__container input.search-field {
    margin: 0!important;
    border: none !important;
}
.search-modal-fields {
    border-radius: 8px;
    overflow: hidden;
    background: #fff;
}

/* Accordion */
.accordion_custom .gb-accordion__item.accordion {
	color:#A6A6A6;
}
.accordion_custom .gb-accordion__item.accordion .gb-accordion__toggle {
	font-size:22px;
	color:#A6A6A6;
}
	/* Active */
	.accordion_custom .gb-accordion__item.accordion.gb-accordion__item-open,
	.accordion_custom .gb-accordion__item.accordion.gb-accordion__item-open .gb-accordion__toggle {
		color:var(--base);
		border-color:var(--base);
	}

/* Archive */
body.archive .page-header {
	padding:0;
	text-align:center;
	margin:-20px 0 30px;
}
body.archive .content-area {
	border-bottom:1px solid #f1f1f1;
}
.dynamic-term-description p { margin:15px 0 0;}
a.more strong {
	padding: 2px 20px;
	display: inline-flex;
	border-radius:50px;
	border: 1px solid rgba(255, 255, 255, 0.2);
	background-color: rgba(255, 255, 255, 0.07);
}

/* Archive Page Pagination */
.paging-navigation {
    margin: 0;
    background: none!important;
    text-align: center;
    font-size: 14px;
    padding: 25px 0!important;
}
.nav-links {
	display:flex;
	gap:10px;
	justify-content: center;
}
.paging-navigation span, 
.paging-navigation a {
	padding: 5px 10px !important;
	color: var(--contrast)!important;
	border-radius: 0;
	width: 35px;
	height: 35px;
	display: flex;
	justify-content: center;
	align-items: center;
	border-radius: 50px;
}
.paging-navigation span.current {
   border: 1px solid #cccc;
	box-shadow: 0px 0px 0 7px #f1f1f1;
}
a.prev,
a.next,
a.prev span,
a.next span {
    display: none;
}

/* Terms Styling*/
.list_cat a {
	border-radius: 30px;
	line-height:1em;
	border: 1px solid rgba(255, 255, 255, 0.2);
	background-color: rgba(255, 255, 255, 0.07);
	padding: 3px 10px;
	box-shadow: 0px 0px 0 3px rgba(255,255,255,0.1);
}

/* Single Post */
body.single .site-main { margin-bottom:0;}
.dynamic-entry-content a {
	font-weight:bold;
	color:var(--post-link);
	border-bottom:2px solid var(--post-link);
}
.dynamic-entry-content a:hover {
	color:var(--contrast);
	border-bottom:2px solid var(--contrast);
}
blockquote { line-height:1.5em;}
pre.wp-block-code {
	border-radius:5px;
	border:1px solid #ccc;
	padding:25px;
	font-family: Monaco,Menlo,Consolas,"Courier New",monospace;
}
pre.wp-block-code code {
	line-height:1.75em;
	font-size:0.8em;
}
.wp-block-post-author__name {
	font-weight:20px;
	font-weight:bold;
}
.wp-block-post-author__name a { color:var(--contrast);}
.wp-block-post-author__bio { font-size: 15px;}
.wp-block-post-author__avatar { padding-top:3px;}
.wp-block-post-author__avatar img { border-radius:50px;}

/* TOC */
ul.simpletoc-list { margin:0;}
ul.simpletoc-list li { list-style:none;}
ul.simpletoc-list li a {
	padding:12px 0;
	font-size:16px;
	display:block;
	color:var(--contrast-2);
	border-bottom:1px dotted var(--contrast-2);
}
ul.simpletoc-list li:last-child a {
	border-bottom:none;
}
ul.simpletoc-list li ul {
	margin:15px 0;
}
ul.simpletoc-list li ul li {
	border-left:1px dashed #ccc;
	position:relative;
	margin-left:5px;
	padding-left:17px;
}
ul.simpletoc-list li ul li:first-child,
ul.simpletoc-list li ul li:last-child {
}
ul.simpletoc-list li ul li:before {
	content:" ";
	display:inline-block;
	width:8px;
	position:absolute;
	left:-5px;
	box-shadow: 0px 0px 0 7px #fff;
	height:8px;
	top:18px;
	border-radius:50px;
	background:var(--contrast-2);
}
ul.simpletoc-list li ul li a {
	border:none;
	font-size:0.9em;
	padding:9px 0;
}
ul.simpletoc-list li ul li ul {
	margin:10px 0;
}
ul.simpletoc-list li ul li ul li {
	border:none;
}
ul.simpletoc-list li ul li ul li a {

}

/* Tag List */
.taxonomy-post_tag {
    display: flex;
    gap: 5px;
    flex-wrap: wrap;
}
.taxonomy-post_tag a {
    color: var(--contrast);
    position: relative;
	border:1px solid  var(--contrast);
    padding: 4px 13px;
    font-size: 14px;
	font-weight:bold;
    line-height: 20px;
    border-radius: 0;
    display: inline-block;
    transition: all .3s ease-in-out;
}
.taxonomy-post_tag a:hover {
    background: var(--contrast);
	color:#fff;
}
.taxonomy-post_tag a:before {
    content: "#";
}
.wp-block-post-terms__separator {
    display: none;
}
.ls_terms a { border-bottom:1px solid var(--clr-5); padding-bottom:2px;}
.ls_terms span:nth-child(2) a { border-bottom:1px solid var(--clr-2);}
.ls_terms span:nth-child(3) a { border-bottom:1px solid var(--clr-3);}
.ls_terms span:nth-child(4) a { border-bottom:1px solid var(--clr-4);}
.ls_terms span:nth-child(5) a { border-bottom:1px solid var(--accent);}

/* Breadcrumb */
.rank-math-breadcrumb p { margin-bottom:0; }
.breadcrumb { line-height: 18px; margin-bottom:15px; }
.breadcrumb {
	padding: 0!Important;
	display: -webkit-box !important;
	overflow: hidden;
	-webkit-line-clamp: 1;
	-webkit-box-orient: vertical;
}

/* Sidebar */
.list_custom {
    list-style: none;
    counter-reset: my-awesome-counter;
}
.list_custom .gb-loop-item {
    counter-increment: my-awesome-counter;
    position: relative;
}
.list_custom .gb-loop-item:before {
    content: "#" counter(my-awesome-counter) "";
    top: 4px;
    left: 0;
    font-size: 16px;
    font-weight: bold;
    width: 40px;
    height: 40px;
	border: 1px solid #cccc;
	box-shadow: 0px 0px 0 7px #f1f1f1;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
	flex-basis: 40px;
	flex-shrink: 0;
	position: relative;
	top: 4px;
}

/* Query Loop */
.gb-loop-item.generate-columns  {
	padding:0!Important;
	margin:0!Important;
}

/* Splide Slider Style */
.splide__pagination { 
	bottom:35px;
	display: flex;
	gap: 6px;
}
.splide__pagination li {
	width:15px;
	height:15px;
	justify-content: center;
	align-items: center;
	display:flex;
	opacity:1;
	border-radius:50px;
	background-color: rgba(255, 255, 255, 0.13)!important;
}
.splide__pagination button { 
	margin:0;
	width:10px;
	height:10px;
	background-color: rgba(255, 255, 255, 0.15);
	border: 1px solid rgba(255, 255, 255, 0.2);
}
.splide__pagination__page.is-active {
	background:none;
	border: 1px solid rgba(255, 255, 255, 0.9);
}
.splide__arrow {
	top: 45%;
	background: transparent;
	border: 1px solid #fffffb;
}
.splide__arrow svg {
	fill: #fff;
	height: 12px;
	width: 12px;
}

.normalpagina .splide__pagination {
	position:static;
	margin-top:25px;
}
.normalpagina .splide__pagination button {
	border:1.2px solid var(--contrast-3);
}

/* Gallery Style */
.smallgallery .eb-gallery-img-wrapper a.eb-gallery-img-content {
    margin-left:-10px!Important;
    width: calc(100% / 6 - 0px)!Important;
}
.smallgallery .eb-gallery-img-wrapper a.eb-gallery-img-content:first-child {
    margin-left:0px!Important;
}
.smallgallery .eb-gallery-img-wrapper a.eb-gallery-img-content img {
    border:3px solid #fff;
}

/* Footer */
.wp-block-categories {
	box-sizing: border-box;
	margin: 0;
	padding: 0;
	display: flex;
	flex-wrap: wrap;
	flex-direction:column;
	gap: 5px;
}
.wp-block-categories li {
	list-style:none;
}
.wp-block-categories li {
	border-bottom:1px dotted var(--base);
}
.wp-block-categories li:hover {
}
.wp-block-categories li a {
	padding:7px 0;
	font-weight:bold;
	display:inline-block;
	color:var(--base);
}

/* Footer */
.site-footer .wp-block-navigation {
	gap:25px;
	flex-wrap:wrap;
}
.site-footer .wp-block-navigation li a {
	font-size:15px;
}

.banner .slick-slide img {
	border-radius:10px!important;
}

@media only screen and (max-width: 1024px) {
	.inside-header { flex-direction: row;}
	.gb_wrapper,
	.inside-header,
	.site-content {

	}
	body.archive .content-area {
		padding-left:30px;
		padding-right:30px;
	}
	body.archive .page-header h1 {
		font-size:30px;
	}
	.dynamic-entry-content h2 { font-size:24px;}

}
@media only screen and (max-width: 767px) {
	.site-header .header-image { width: 65px;}
	.site-logo { margin-right:8px!important;}
	.gb_wrapper,
	.inside-header,
	.site-content {

	}
	.wp-block-post-author {
		flex-direction: column;
		gap: 10px;
	}
	.accordion_custom .gb-accordion__item.accordion .gb-accordion__toggle {
		font-size:18px;
	}
	.wp-block-social-link a {
		font-size:20px;
	}
	body.archive .content-area {
		padding-left:20px;
		padding-right:20px;
	}
	.smallgallery .eb-gallery-img-wrapper a.eb-gallery-img-content { margin-left:-15px!Important;}
}